# Imagick::getImageGeometry

(PECL imagick 2.0.0)

Imagick::getImageGeometry — Gets the width and height as an associative array

### Description

Imagick::getImageGeometry ( void ) : array

Returns the width and height as an associative array.

### Return Values

Returns an array with the width/height of the image.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::getImageGeometry()

`<?php
function getImageGeometry($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`